LabelSplit Class Reference
Inheritance diagram for LabelSplit:

## Protected Member Functions

void | setCounts (const Slice &slice) const
void | setOneCounts (const Slice &slice) const
virtual bool | isLabelSplit () const
| If returns true, only call getLabelSplitVariable.
Protected Member Functions inherited from SplitStrategyCommon
Exponent | getMedianPositiveExponentOf (Slice &slice, size_t var) const
size_t | getBestVar (const Slice &slice) const
Protected Member Functions inherited from SplitStrategy
| SplitStrategy ()
| SplitStrategy (const SplitStrategy &)
SplitStrategy & | operator= (const SplitStrategy &)
bool | operator== (const SplitStrategy &)

## Protected Attributes

Term | _counts
Term | _oneCounts
Protected Attributes inherited from SplitStrategyCommon
Term | coVariableForGetBestVar

## Additional Inherited Members

Public Member Functions inherited from SplitStrategyCommon
virtual void | getPivot (Term &pivot, Slice &slice) const
| Sets pivot to the pivot of a pivot split on slice.
virtual void | getPivot (Term &pivot, Slice &slice, const TermGrader &grader) const
| Sets pivot to the pivot of a pivot split on slice.
virtual size_t | getLabelSplitVariable (const Slice &slice) const
| Returns the variable to perform a label split on.
virtual bool | isPivotSplit () const
| If returns true, only call getPivot.
Public Member Functions inherited from SplitStrategy
virtual | ~SplitStrategy ()
virtual const char * | getName () const =0
| Returns the name of the strategy.
Static Public Member Functions inherited from SplitStrategy
static unique_ptr< SplitStrategy > | createStrategy (const string &prefix)
| Returns the strategy whose name has the given prefix.

## Detailed Description

Definition at line 102 of file SplitStrategy.cpp.

## Member Function Documentation

## isLabelSplit()

virtual bool LabelSplit::isLabelSplit | ( |  | ) | const

inline protected virtual

If returns true, only call getLabelSplitVariable.

Reimplemented from SplitStrategyCommon.

Definition at line 129 of file SplitStrategy.cpp.

## setCounts()

void LabelSplit::setCounts | ( | const Slice & | slice | ) | const

inline protected

Definition at line 105 of file SplitStrategy.cpp.

## setOneCounts()

void LabelSplit::setOneCounts | ( | const Slice & | slice | ) | const

inline protected

Definition at line 111 of file SplitStrategy.cpp.

## Member Data Documentation

## _counts

Term LabelSplit::_counts

mutable protected

Definition at line 104 of file SplitStrategy.cpp.

## _oneCounts

Term LabelSplit::_oneCounts

mutable protected

Definition at line 110 of file SplitStrategy.cpp.

The documentation for this class was generated from the following file:

- src/SplitStrategy.cpp